docs

# DefaultBehaviourContextWithFSM

fun < T : State> DefaultBehaviourContextWithFSM ( behaviourContext: BehaviourContext , statesManager: StatesManager< T >, handlers: List < BehaviourWithFSMStateHandlerHolder <*, T >>, onStateHandlingErrorHandler: StateHandlingErrorHandler< T > = defaultStateHandlingErrorHandler())
Content copied to clipboard

## Parameters

onStateHandlingErrorHandler

Will be used in case if state handling has not been successfully completed in launchStateHandling